# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Account Inactive
#    Copyright (C) 2013 Enterprise Objects Consulting
#                       http://www.eoconsulting.com.ar
#    Authors: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv, fields

class account_journal(osv.osv):
    _inherit = 'account.journal'

    _columns = {
        'active': fields.boolean('Active'),
    }
    _defaults = {
        'active': True,
    }

account_journal()

class account_account(osv.osv):
    _inherit = 'account.account'

    def _check_moves(self, cr, uid, ids, method, context=None):
        """
        Overriden to allow desactive accounts even if have moves.
        """
        line_obj = self.pool.get('account.move.line')
        account_ids = self.search(cr, uid, [('id', 'child_of', ids)])

        if line_obj.search(cr, uid, [('account_id', 'in', account_ids)]):
            #if method == 'write':
            #    raise osv.except_osv(_('Error !'), _('You can not desactivate an account that contains some journal items.'))
            if method == 'unlink':
                raise osv.except_osv(_('Error !'), _('You can not remove an account containing journal items.'))
        #Checking whether the account is set as a property to any Partner or not
        value = 'account.account,' + str(ids[0])
        partner_prop_acc = self.pool.get('ir.property').search(cr, uid, [('value_reference','=',value)], context=context)
        if partner_prop_acc:
            raise osv.except_osv(_('Warning !'), _('You can not remove/desactivate an account which is set on a customer or supplier.'))
        return True

account_account()
