# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, MRP Bill of Material Templates
#    Copyright (C) 2010- O4SB (<http://openforsmallbusiness.co.nz>)
#                  2013 Mariano Ruiz <mrsarm@gmail.com>
#                       Enterprise Objects Consulting
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
from report import report_sxw
from osv import osv
import pooler

class bom_cost_structure(report_sxw.rml_parse):

    def get_children(self, object, level=0):
        result = []

        def _get_rec(object,level):
            for l in object:
                res = {}
                res['name'] = l.name
                res['pname'] = l.product_id.name
                res['pcode'] = l.product_id.default_code
                res['pqty'] = l.product_qty
                res['standard_price'] = l.standard_price
                res['uname'] = l.product_uom.name
                res['code'] = l.code
                res['level'] = level
                result.append(res)
                if l.child_complete_ids:
                    if level<6:
                        level += 1
                    _get_rec(l.child_complete_ids,level)
                    if level>0 and level<6:
                        level -= 1
            return result

        children = _get_rec(object,level)
        return children

    def __init__(self, cr, uid, name, context):
        super(bom_cost_structure, self).__init__(cr, uid, name, context=context)
        self.localcontext.update({
            'time': time,
            'get_children':self.get_children,
        })

report_sxw.report_sxw('report.bom.cost.structure','mrp.bom','bom_extra_fields/report/bom_cost_structure.rml',parser=bom_cost_structure,header='internal')
