# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, MRP Bill of Material Templates
#    Copyright (C) 2010- O4SB (<http://openforsmallbusiness.co.nz>)
#                  2013 Mariano Ruiz <mrsarm@gmail.com>
#                       Enterprise Objects Consulting
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    'name': 'MRP Bill of Material Templates',
    'version': '1.3.1',
    'category': 'Manufacturing',
    'author': 'O4SB / Enterprise Objects Consulting',
    'website': 'http://www.eoconsulting.com.ar',
    'depends': ['base', 'product_variant_multi', 'mrp', 'mrp_operations'],
    "description": '''
    This module implements BOM templates, more analogous to account templates than product templates.
    
    A BOM template is created which then creates the associated BOM's. For any bom line you may specify a 
    product template with one of 2 match types One 2 One (simple case) of One Dimension to a different dimension
    where you must specify a match condition (formed as a domain expression on the dimension option object).
    
    Most of the time the simple case is fine, however when mapping different variants, it pays to use a consistent naming
    scheme.  Examples where this may be the case is say you can get a material in a certain range of colours, and paint in 
    a lot more colours so you have 2 different variant dimensions.  By giving each colour the exact same name, or code, or
    sequence number you can match differing dimensions.
    
    Alternatively where you specify a product in a bom line you can optionally specify a match expression on the
    product object which if met will add the product to the bom, otherwise it will not.  e.g say you have a variant of
    knickers, called frilly knickers, which calls for a quantity of lace then you can match that and if not the lace will
    not be added.
    
    Also this module allow you to create a Manufacturing Order without BOM.
    ''',
    'data': ['security/ir.model.access.csv'],
    'update_xml': ['mrp_view.xml'],
    'demo': [],
    'test': [],
    'installable': True,
    'active': False,
}
