# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2010 Tiny SPRL (<http://tiny.be>).
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

{
    "name" : "Picking Reopen",
    "version" : "1.1.2",
    "author" : "Camptocamp / Enterprise Objects Consulting",
    "category": 'Warehouse Management',
    'complexity': "normal",
    "description": """
Allows reopening pickings
=========================

This module allows to reopen pickings (set to Ready to Process).

The intention is to allow to correct errors or add missing info which becomes 
usually only visible after printing the picking.

This version of the module at difference of the original developed by
*Camptocamp* allow you to reopen invoiced pickings,
and stock moves with products with cost method "average price" too. In
the first case you must be procure to cancel the invoice and payments related
to the picking or not, depending of the reason to cancel these moves.
In the second case, the average price of the product will not be reverted, so
you can leave the incorrect value, or fix the price manually.

Only tested with OpenERP 6.1.
    """,
    'website': 'http://www.eoconsulting.com.ar',
    "depends" : ["stock","account_invoice_reopen"],
    'init_xml': [],
    'update_xml': ['stock_view.xml','stock_workflow.xml' ],
    'demo_xml': [],
    'installable': True,
    'auto_install': False,
}

# vim:expandtab:smartindent:tabstop=4:softtabstop=4:shiftwidth=4:
