# -*- coding: utf-8 -*-
##############################################################################
#
#    OpenERP, Stock Picking Simple Locations - MRP
#    Copyright (C) 2013 Mariano Ruiz <mrsarm@gmail.com>
#    Enterprise Objects Consulting (<http://www.eoconsulting.com.ar>)
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from openerp.osv import osv

class mrp_production(osv.osv):
    _inherit = 'mrp.production'

    def action_confirm(self, cr, uid, ids, context=None):
        shipment_id = super(mrp_production,self).action_confirm(cr, uid, ids, context)
        for production in self.browse(cr, uid, ids, context=context):
            if production.picking_id:
                ctx = context.copy() if context else {}
                ctx['no_upd_move_locs'] = True  # To avoid recursive set of stock moves locations
                self.pool.get('stock.picking').write(cr,uid,[production.picking_id.id],{
                    'location_id': production.picking_id.move_lines[0].location_id.id,
                    'location_dest_id': production.picking_id.move_lines[0].location_dest_id.id,
                }, ctx)
        return shipment_id

mrp_production()
