# -*- coding: utf-8 -*-
##############################################################################
#
#    Copyright (C) 2013  Enterprise Objects Consulting
#
#    Author: Mariano Ruiz <mrsarm@gmail.com>
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import osv, fields

class account_voucher(osv.osv):
    _inherit = 'account.voucher'

    def _get_reconcile(self, cr, uid, ids, name, arg, context=None):
        result = {}
        for voucher in self.browse(cr, uid, ids, context):
            result[voucher.id] = {'reconcile': 'unreconciled'}
            for move in voucher.move_ids:
                if move.reconcile_id:
                    result[voucher.id]['reconcile'] = 'reconciled'
                    break
        return result

    def _reconcile_search(self, cr, uid, obj, name, args, context=None):
        if not len(args):
            return []
        operator = args[0][1]
        value = args[0][2]
        ids = []
        res_ids = self.search(cr, uid, [('state', '!=', 'draft'),('state', '!=', 'cancel')])
        for res in self.read(cr,uid,res_ids,['id','reconcile']):
            if operator == '=':
                if value == res['reconcile']:
                    ids.append(res['id'])
            elif operator == '!=':
                if value != res['reconcile']:
                    ids.append(res['id'])
        return [('id', 'in', ids)]

    _columns = {
            'reconcile': fields.function(_get_reconcile, string='Reconcile', method=True, select=True, type='selection',
                                selection=[('reconciled', 'Reconciled'), ('unreconciled', 'Unreconciled')],
                                fnct_search=_reconcile_search, multi=True)
        }

account_voucher()
